Kein Update mehr möglich

  • Hi,


    Mein Raspberry Pi 2 Model B lässt sich leider überhaupt nicht mehr updaten.... Bekomme immer den Fehler:

    Duplicate sources.list entry https://dev2day.de/pms/ jessie/main armhf Packages (/var/lib/apt/lists/dev2day.de_pms_dists_jessie_main_binary-armhf_Packages)

    Ein Löschen aller Dateien genanntem Ordner oder ein erneutes apt-get update (was mir Google Suchen vorschlugen) bringt leider überhaupt nichts, da bei einem apt-get update die Dateien wieder exakt gleich runtergeladen werden.

    Habe nun das Gerät von Jessie auf Stretch geupgraded, da ich dachte, dass es sich dadurch vielleicht beheben liese, da es sich ja um ein "Jessie-Package" handelt... Leider auch Fehlanzeige

    Was könnte ich denn noch probieren, ohne es wieder komplett neu aufsetzen zu müssen?


    Danke und viele Grüße

  • Checke /etc/apt/sources.list und /etc/apt/sources.list.d/*, entferne doppelte Einträge und führe sudo apt-get update erneut aus.

    The S in IoT stands for Security

  • sudo nano /etc/apt/sources.list.d/pms.list

    dort änderst du die Zeile ab in

    # dev [arch=armhf] .....

    Speicherst und rufst

    sudo apt-get update 

    erneut auf.

    The S in IoT stands for Security

  • Wo finde ich denn die andere?

    Sorry, meinte natürlich pms.list – den Namen habe ich Deinem obigen Screenshot entnommen.


    Edit: Man sollte nicht in Fenstern antworten, die schon länger offen sind. Trotzdem wäre es schön, wenn Du uns noch mitteilen könntest, was Du jetzt schließlich geändert hast, damit's läuft.

  • Manul  #8

    Das [arch=armhf] ist auf einem System, das bei dpkg --print-architectureohnehin "armhf" ausgibt sinnlos. es führt lediglich dazu, dass die 2 Einträge in der pms.list als gleich angesehen werden, was zu der ursprünglichen Fehlermeldung führt.

    Näheres:

    man sources.list unter THE DEB AND DEB-SRC TYPES: GENERAL FORMAT

    The S in IoT stands for Security

  • Sorry, meinte natürlich pms.list – den Namen habe ich Deinem obigen Screenshot entnommen.


    Edit: Man sollte nicht in Fenstern antworten, die schon länger offen sind. Trotzdem wäre es schön, wenn Du uns noch mitteilen könntest, was Du jetzt schließlich geändert hast, damit's läuft.

    Hi, habe genau das getan, was llutz mir geraten hat, danach lief das Update